%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Masters/Doctoral Thesis
%
%
% Všechny dokumentové proměnné by měli být v souboru Thesis.cls
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%------------------------------------------------------------------------------
%	PACKAGES AND OTHER DOCUMENT CONFIGURATIONS
%------------------------------------------------------------------------------

\documentclass[11pt, oneside]{Thesis} 	% The default font size and one-sided printing (no margin offsets)

\newcommand{\nazevPrace}{ Nelineární vícerozměrný systém 4 nádrží }
\newcommand{\nazevPredmetu}{ Robustní řízení lineárních systémů }
\newcommand{\typPrace}{ Semestrální práce č.3 }

\graphicspath{{Pictures/}} 				% Specifies the directory where pictures are stored

\usepackage[square, numbers, comma, sort&compress]{natbib} % Use the natbib reference package - read up on this to edit the reference style; if you want text (e.g. Smith et al., 2012) for the in-text references (instead of numbers), remove 'numbers'
\hypersetup{   % Colors hyperlinks in blue - change to black if annoying
  colorlinks   = true, %Colours links instead of ugly boxes
  urlcolor     = black, %Colour for external hyperlinks
  linkcolor    = black, %Colour of internal links
  citecolor    = red %Colour of citations
}
\title{\ttitle} % Defines the thesis title - don't touch this


\usepackage[normalem]{ulem}
\useunder{\uline}{\ul}{}


\begin{document}

%\frontmatter % Use roman page numbering style (i, ii, iii, iv...) for the pre-content pages

\setstretch{1.3} % Line spacing of 1.3

% Define the page headers using the FancyHdr package and set up for one-sided printing
\fancyhead{} % Clears all page headers and footers
\rhead{\thepage} % Sets the right side header to show the page number
\lhead{} % Clears the left side page header

\pagestyle{fancy} % Finally, use the "fancy" page style to implement the FancyHdr headers

\newcommand{\HRule}{\rule{\linewidth}{0.5mm}} % New command to make the lines in the title page

\newcommand{\matr}[1]{\mathbf{#1}} % undergraduate algebra version
% \newcommand{\matr}[1]{#1}          % pure math version
% \newcommand{\matr}[1]{\bm{#1}}     % ISO complying version

% PDF meta-data
\hypersetup{pdftitle={\ttitle}}
\hypersetup{pdfsubject=\subjectname}
\hypersetup{pdfauthor=\authornames}
\hypersetup{pdfkeywords=\keywordnames}



%------------------------------------------------------------------------------
%	TITLE PAGE
%------------------------------------------------------------------------------

% Front page
%\input{frontpages/zcu_compliant.tex}
\input{frontpages/beautiful.tex}

\clearpage % Start a new page

%------------------------------------------------------------------------------
%	Content - CHAPTERS
%------------------------------------------------------------------------------

\mainmatter % Resetování stránkování (18, mainmatter-> 1,2,3...)

\pagestyle{fancy} % Return the page headers back to the "fancy" style

% Include the chapters of the thesis as separate files from the Chapters folder
% Uncomment the lines as you write the chapters

\input{chapters/Chapter1}
\input{chapters/Chapter2}
\input{chapters/Chapter3}
\input{chapters/Chapter4}
\input{chapters/Chapter5}





\end{document}
